Page MenuHomePhabricator

Not Processing Output of Custom Tag Extension
Closed, ResolvedPublic

Description

Author: paul

Description:
I have a custom tag extension that is returning WikiText like so:

return $parser->recursiveTagParse($wikitext);

Terminology entries that appear in $wikitext are not being marked up by Lingo.

Consider "FOO" is an entry in the Terminology page and another page is created like so:

The list of FOO is below.
<list_foo/>

The results of the <list_foo/> tag could be something like so:

{|
! FOO !! BAR !! BAZ
|-
| 1 || The first one || Details...
|-
| 2 || The second one || Mode details...
|}

The "FOO" in that first line if the page is being marked up properly. The "FOO" in the table returned by the tag is not.


Version: unspecified
Severity: normal

Details

Reference
bz66915

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:28 AM
bzimport set Reference to bz66915.
bzimport added a subscriber: Unknown Object (MLST).
Foxtrott set Security to None.
Foxtrott removed a subscriber: Foxtrott.
Foxtrott triaged this task as Medium priority.Nov 28 2014, 11:41 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 8 2016, 10:14 AM
Foxtrott closed this task as Resolved.Mar 23 2018, 10:28 PM

Should be fixed in bee2f0a provided that the parserfunction is called from the main article text (i.e. not from some UI message or similar).